<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::playlistParser::FFMpegInputBuffer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">playlistParser</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html">FFMpegInputBuffer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::playlistParser::FFMpegInputBuffer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_f_f_mpeg_input_buffer_8h_source.html">FFMpegInputBuffer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8f5c3683871ac4c6a870f43b4701a437"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#a8f5c3683871ac4c6a870f43b4701a437">FFMpegInputBuffer</a> (const std::vector&lt; unsigned char &gt; &amp;inputBytes)</td></tr>
<tr class="separator:a8f5c3683871ac4c6a870f43b4701a437"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab63a83a25d534839950a1ced47be87df"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#ab63a83a25d534839950a1ced47be87df">read</a> (int size, uint8_t *data)</td></tr>
<tr class="separator:ab63a83a25d534839950a1ced47be87df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d1d1dc3587c793b8042f8f0ea8adae9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#a7d1d1dc3587c793b8042f8f0ea8adae9">setOffset</a> (int64_t offset)</td></tr>
<tr class="separator:a7d1d1dc3587c793b8042f8f0ea8adae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab08c919cf469f756c07b36a2af3b0618"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#ab08c919cf469f756c07b36a2af3b0618">getOffset</a> () const</td></tr>
<tr class="separator:ab08c919cf469f756c07b36a2af3b0618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac70e920334c9c1e5ea2a57d41481c41c"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#ac70e920334c9c1e5ea2a57d41481c41c">getSize</a> () const</td></tr>
<tr class="separator:ac70e920334c9c1e5ea2a57d41481c41c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Helper class to write contents to FFMpeg buffers. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8f5c3683871ac4c6a870f43b4701a437"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f5c3683871ac4c6a870f43b4701a437">&#9670;&nbsp;</a></span>FFMpegInputBuffer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::playlistParser::FFMpegInputBuffer::FFMpegInputBuffer </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; unsigned char &gt; &amp;&#160;</td>
          <td class="paramname"><em>inputBytes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inputBytes</td><td>Input bytes to be written to FFMpeg buffer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab08c919cf469f756c07b36a2af3b0618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab08c919cf469f756c07b36a2af3b0618">&#9670;&nbsp;</a></span>getOffset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int64_t alexaClientSDK::playlistParser::FFMpegInputBuffer::getOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get current offset.</p>
<dl class="section return"><dt>Returns</dt><dd>Current offset. </dd></dl>

</div>
</div>
<a id="ac70e920334c9c1e5ea2a57d41481c41c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac70e920334c9c1e5ea2a57d41481c41c">&#9670;&nbsp;</a></span>getSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int64_t alexaClientSDK::playlistParser::FFMpegInputBuffer::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get input buffer size.</p>
<dl class="section return"><dt>Returns</dt><dd>Input buffer size. </dd></dl>

</div>
</div>
<a id="ab63a83a25d534839950a1ced47be87df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab63a83a25d534839950a1ced47be87df">&#9670;&nbsp;</a></span>read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::playlistParser::FFMpegInputBuffer::read </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Copy content from input buffer to FFMpeg buffer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>The size of content to read. </td></tr>
    <tr><td class="paramname">data</td><td>The pointer to buffer to write content. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Size of actual content written. </dd></dl>

</div>
</div>
<a id="a7d1d1dc3587c793b8042f8f0ea8adae9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d1d1dc3587c793b8042f8f0ea8adae9">&#9670;&nbsp;</a></span>setOffset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::playlistParser::FFMpegInputBuffer::setOffset </td>
          <td>(</td>
          <td class="paramtype">int64_t&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set current offset.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>Current offset to set. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if successful or <code>false</code> otherwise. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/PlaylistParser/include/PlaylistParser/<a class="el" href="_f_f_mpeg_input_buffer_8h_source.html">FFMpegInputBuffer.h</a></li>
<li>/workplace/avs-device-sdk/PlaylistParser/src/<a class="el" href="_f_f_mpeg_input_buffer_8cpp.html">FFMpegInputBuffer.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
